<?php

defined( '_SOBI2_' ) || ( trigger_error("Restricted access", E_USER_ERROR) && exit() );

class sobi_billing 
{
	var $name = 'SOBI2Billing';
	var $listingStyle = "sobi_billing_VC";

    function sobi_billing() 
	{
		// nothing happens
	}

	function main() 
	{
		// for backward compability
	}

	function editForm($sobi2Id) 
	{
    	return null;
	}

	function save($input,$sobi2Id) 
	{
		$user = JFactory::getUser();
		$uid = $user->id;
		
		if ($uid == 0)
		{
			echo "<p>Так как вы подали объявление не залогинившись на сайт, оно не может быть автоматически опубликовано. ID вашего объявления $sobi2Id Свяжитесь с администратором сайта, чтобы договориться об оплате и публикации объявления.</p>";
			return $input;
		}

		$config =& sobi2Config::getInstance();
		$db =& $config->getDb();

		$amount = $config->basicPrice;
		
		foreach($input->fees as $option => $payment ) 
		{
			$payment = str_replace(",", ".", $payment);
			$amount = $amount + $payment;
		}

		require_once( JPATH_BASE .DS.'components'.DS.'com_billing'.DS.'useraccount.php');
		require_once( JPATH_BASE .DS.'components'.DS.'com_billing'.DS.'account.php' );

		// проверяем баланс пользователя
		$UA = new UserAccount;
		$b = $UA->GetBalanceEx($uid, 0);//

		if ($b > $amount)
		{
			$pid = date('ymdhis') . $uid;
			$UA->WithdrawMoney($uid, $amount, $pid, "Оплата объявления ID: $sobi2Id");
			
			$query = "update `#__sobi2_item` set published = 1, approved = 1, confirm = 0 where itemid = $sobi2Id";
			$db->setQuery($query);
			$db->query();
		}
		else
		{
			$amount = $amount - $b;
			echo "<p>На вашем счете не хватает денег для оплаты объявления. <a href='index.php?option=com_billing&view=pay&sum=$amount'>Пополнить счет на ".FormatDefaultCurrency($amount)."</a> Объявление отправлено на модерацию. Свяжитесь с администратором после пополнения счета или оплатите размещения объявления иным способом. ID вашего объявления $sobi2Id</p>";
		}
		return $input;
	}

	function update($input,$sobi2Id) 
	{
	}

	function replaceMarkers($string) 
	{
	}

	function renew( $fees, $sobi_id )
	{
	}
	
	function customTask($sobi2Task) 
	{
		return false;
	}	
	
	function onPaymentScreen()
	{	
	/*	$sid = mysql_insert_id();
		
		$config =& sobi2Config::getInstance();
		$db =& $config->getDb();
		$query = "select * from `#__sobi2_item` where itemid = $sid";
		$db->setQuery($query);
		$row = $db->loadAssoc();
		$published = $row['published'];
		$approved = $row['approved'];
		$confirm = $row['confirm'];
		
		$query = "select sum(amount) from `#__sobi2_payments` where sid = $sid";
		$db->setQuery($query);
		$amount = $db->loadResult();
		
		if ($published == 1 and $approved == 1)
		{
		
			echo "<p><strong>Ваша запись оплачена и опубликована. C вашего счета списано ".FormatDefaultCurrency($amount)."</strong></p>";
		}
		else
		{
			echo "<a href='index.php?option=com_billing&view=pay&sum=$amount'>Пополнить счет на ".FormatDefaultCurrency($amount)."</a>";
		}
	*/
	}	
	
	function onPaymentMailUser()
	{
	}

	function onPaymentMailAdmin()
	{
	}
	
    function config() 
	{
		echo '<p>Конфигурирование методов оплаты производится в настройках компонента <a href="index.php?option=com_billing">Биллинг для Joomla</a>. Там же производится выбор валюты платежей.</p>' .
		'<p>Установить цену на публикацию объявления нужно в разделе <a href="index2.php?option=com_sobi2&task=efConf">Параметры добавления</a>.</p>'.
		'<p>Методы приема PayPal и банковский перевод в <a href="index2.php?option=com_sobi2&task=payConf">параметрах оплаты</a> нужно или настроить или отключить.</p>'.
		'<p>В разделе <a href="index2.php?option=com_sobi2&task=efConf">Параметры добавления</a> нужно установить следующие значения:</p>'.
		'<ul>'. 
		'<li>Разрешить добавление записей - Да</li>'.
		'<li>Разрешить добавление записей гостями - Да или Нет, но оплатить объявление со счета они не смогут</li>'.
		'<li>Опубликовать записи автоматически - Нет</li>'.
		'</ul>'.
		'<p>В результате объявления будут автоматически опубликованы если у пользователя на счете есть нужная сумма и попадут в категорию <a href="index2.php?option=com_sobi2&task=getUnapproved">Ожидают одобрения</a> в любом другом случае.</p>';
    }
	
}

?>


